body {
  background: #fff;
  font-family: 'Fira Sans', sans-serif;
  font-size: 14px;
  padding: 0 0 30px 0;
  overflow-x: hidden; }

.menu-items-mobile-all {
  display: none; }

a {
  font-family: 'Fira Sans', sans-serif; }

a {
  color: #4c2465; }

button {
  background: #4c2465;
  color: #fff;
  border: 0;
  padding: 10px 25px; }

.usr-bl-li {
  padding-bottom: 5px;
  margin-bottom: 5px;
  border-bottom: 1px solid #ddd; }

.usr-bl-li .pr-li-link {
  font-size: 18px; }

.usr-bl-li .pl-u-l a {
  display: inline-block;
  padding: 3px 5px;
  border: 1px solid #0068b2;
  font-size: 12px;
  margin-right: 5px; }

.usr-bl-li .pl-u-l a:hover {
  background: #0068b2;
  color: #fff; }

.header .headline {
  background: #000077;
  padding: 0 15px; }
  .header .headline .headline-menu {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between; }
    .header .headline .headline-menu .nav {
      display: -webkit-box;
      display: -ms-flexbox;
      display: flex;
      -ms-flex-wrap: wrap;
      flex-wrap: wrap;
      padding-left: 0;
      margin-bottom: 0;
      list-style: none; }
      .header .headline .headline-menu .nav a {
        color: #ececec;
        text-transform: uppercase;
        transition: all 0.3s ease;
        display: block;
        padding: 0px 0px 0px 0px;
        margin: 0px 15px 0px -1px;
        height: 30px;
        line-height: 31px;
        font-weight: 600; }
      .header .headline .headline-menu .nav a:hover {
        color: #fff; }

.header.fixed {
  position: fixed;
  z-index: 999;
  width: 100%;
  top: 0; }

.header .bottom {
  background: url(/iz/top-panel.jpg) repeat-x !important;
  background-size: 2px 100% !important; }

.header .bottom .logo-box {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  margin-right: 25px;
  padding: 5px; }
  .header .bottom .logo-box .logo-text {
    font-size: 12px;
    font-weight: 600;
    color: #fff;
    margin-left: 25px; }
  .header .bottom .logo-box .logo-img {
    max-height: 48px; }

.header .topmenu {
  float: right; }
  .header .topmenu li > a {
    color: #fff;
    font-size: 18px;
    font-weight: 600;
    line-height: 32px;
    text-transform: uppercase;
    display: block;
    padding: .8em 1em;
    transition: all 0.3s ease; }
  .header .topmenu li > a:hover {
    background: #222; }
  .header .topmenu li:hover .menu-childs {
    display: block; }
  .header .topmenu .menu-childs {
    display: none;
    position: absolute;
    left: -1000px;
    right: 0;
    margin: 0;
    padding: 0;
    list-style: none;
    -webkit-box-pack: end;
    justify-content: flex-end;
    background-color: #878679;
    border-bottom: 4px solid #452963;
    text-align: right;
    z-index: 9999;
    padding-right: 15px; }
    .header .topmenu .menu-childs li {
      display: inline-block; }
      .header .topmenu .menu-childs li a {
        font-size: 16px;
        text-transform: none; }

.header .menu-items-mobile {
  display: none; }

.main-content {
  margin: 30px 33px 0 33px;
  max-width: 1400px; }

@media (min-width: 1400px) {
  .main-content {
    margin: 30px auto; } }

.widget > .title a {
  background: none !important; }

.widget .iplay {
  position: absolute;
  left: 50%;
  top: 50%;
  font-size: 18px;
  margin-left: -75px;
  margin-top: -13px;
  color: #fff;
  z-index: 99;
  opacity: 0.2; }

.widget a.ioverlay:hover .iplay {
  opacity: 1; }

.widget-popular.widget {
  position: relative; }
  .widget-popular.widget div.title {
    position: absolute;
    z-index: 1;
    padding: 15px; }
    .widget-popular.widget div.title a {
      padding: 10px 15px;
      border: 2px solid #fff;
      color: #fff;
      text-transform: uppercase;
      font-weight: 600;
      display: block; }
  .widget-popular.widget .info {
    position: absolute;
    bottom: 0;
    padding: 15px 15px; }
    .widget-popular.widget .info .teaser {
      font-size: 18px;
      color: #fff;
      font-family: 'Noto Serif', serif; }
    .widget-popular.widget .info a {
      font-size: 24px;
      color: #fff;
      font-weight: 600;
      text-transform: uppercase; }
  .widget-popular.widget .entry,
  .widget-popular.widget .image {
    position: relative; }
  .widget-popular.widget a.ioverlay {
    display: block; }
    .widget-popular.widget a.ioverlay .img-fluid {
      max-width: 100%;
      height: auto;
      width: 100%; }
  .widget-popular.widget a.ioverlay:after {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background: -moz-linear-gradient(top, rgba(255, 255, 255, 0) 30%, black 100%, black 98%);
    background: -webkit-linear-gradient(top, rgba(255, 255, 255, 0) 30%, black 100%, black 98%);
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0) 30%, black 100%, black 98%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#000', endColorstr='#000',GradientType=0 );
    top: 0;
    left: 0; }

.widget-videos {
  margin: 30px 0; }
  .widget-videos .widget-content-list .entry {
    margin-bottom: 15px;
    background: #f6f6f6; }
    .widget-videos .widget-content-list .entry .title {
      padding: 20px;
      min-height: 100px; }
      .widget-videos .widget-content-list .entry .title a {
        font-size: 18px;
        color: #000;
        line-height: 1.2;
        font-weight: 600;
        font-family: 'Fira Sans', sans-serif;
        text-transform: none; }
  .widget-videos .widget-content-list .entry:hover {
    background: #efefef; }
    .widget-videos .widget-content-list .entry:hover .iplay {
      opacity: 1; }
  .widget-videos .iplay {
    font-size: 16px;
    margin-top: -60px; }

.widget-read.widget {
  position: relative; }
  .widget-read.widget .info {
    position: absolute;
    bottom: 0;
    padding: 15px 15px; }
    .widget-read.widget .info .teaser {
      font-size: 18px;
      color: #fff;
      font-family: 'Noto Serif', serif; }
    .widget-read.widget .info a {
      font-size: 24px;
      color: #fff;
      font-weight: 600;
      text-transform: uppercase; }
  .widget-read.widget .entry {
    margin-bottom: 30px; }
  .widget-read.widget .entry,
  .widget-read.widget .image {
    position: relative; }
  .widget-read.widget .image a {
    overflow: hidden;
    display: block; }
    .widget-read.widget .image a img {
      transition: all 0.3s ease; }
  .widget-read.widget .entry:hover .image a img {
    transform: scale(1.1); }
  .widget-read.widget a.ioverlay {
    display: block; }
    .widget-read.widget a.ioverlay .img-fluid {
      max-width: 100%;
      height: auto;
      width: 100%; }
  .widget-read.widget .mask,
  .widget-read.widget a.ioverlay:after {
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    background: -moz-linear-gradient(top, rgba(255, 255, 255, 0) 30%, black 100%, black 98%);
    background: -webkit-linear-gradient(top, rgba(255, 255, 255, 0) 30%, black 100%, black 98%);
    background: linear-gradient(to bottom, rgba(255, 255, 255, 0) 30%, black 100%, black 98%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#000', endColorstr='#000',GradientType=0 );
    top: 0;
    left: 0; }

.widget-content.widget {
  margin: 15px 0;
  padding-top: 15px;
  border-top: 4px solid #452963; }
  .widget-content.widget div.title {
    text-align: center;
    padding-bottom: 15px;
    font-size: 28px; }
    .widget-content.widget div.title a {
      color: #452963;
      text-transform: uppercase;
      font-size: 20px;
      font-weight: bold; }
  .widget-content.widget .widget-content-list .entry {
    margin-bottom: 15px;
    background: #f6f6f6; }
    .widget-content.widget .widget-content-list .entry .title {
      padding: 20px;
      min-height: 100px; }
      .widget-content.widget .widget-content-list .entry .title a {
        font-size: 18px;
        color: #000;
        line-height: 1.2;
        font-weight: 600;
        font-family: 'Fira Sans', sans-serif;
        text-transform: none; }
  .widget-content.widget .widget-content-list .entry:hover {
    background: #efefef; }
    .widget-content.widget .widget-content-list .entry:hover .iplay {
      opacity: 1; }
  .widget-content.widget .iplay {
    font-size: 16px;
    margin-top: -60px; }
  .widget-content.widget .entry div.title {
    text-align: left;
    font-size: 18px;
    font-family: 'Noto Serif', serif; }

.widget.widget-anons div.title {
  position: relative;
  text-align: center;
  padding-bottom: 15px;
  line-height: 1; }
  .widget.widget-anons div.title a {
    color: #452963;
    text-transform: uppercase;
    font-size: 20px;
    font-weight: bold; }

.widget.widget-anons div.title:after,
.widget.widget-anons div.title:before {
  content: '';
  position: absolute;
  display: block;
  width: 100px;
  height: 4px;
  background: #452963;
  left: 0;
  top: 8px; }

.widget.widget-anons div.title:after {
  left: auto;
  right: 0; }

.widget.widget-anons .entry {
  margin-bottom: 15px;
  background: #f6f6f6;
  padding: 15px; }

.widget.widget-anons .entry:hover {
  background: #efefef; }

.widget.widget-anons .media img {
  display: none !important; }

.widget.widget-anons .media-body a.title {
  font-size: 16px;
  color: #000;
  font-family: 'Noto Serif', serif;
  font-weight: 600; }

.widget.widget-anons .date-tem {
  margin-top: 10px;
  font-size: 12px;
  color: #aaa;
  font-family: 'Noto Serif', serif; }

.loader {
  display: none; }

#go-top {
  position: fixed;
  bottom: 25px;
  right: 25px;
  text-align: center;
  cursor: pointer;
  width: 50px;
  height: 50px;
  /* background: rgba(213, 213, 213, 0); */
  background: black;
  line-height: 50px;
  /* padding-top: 10px; */
  color: #fff;
  opacity: .25;
  border-radius: 50px;
  box-shadow: 0 0 40px rgba(0, 0, 0, 0.35); }

#go-top:hover {
  background: #4c2465;
  opacity: 1; }

.widget.category-child div.title {
  position: relative;
  text-align: center;
  padding-bottom: 15px;
  line-height: 1; }
  .widget.category-child div.title a {
    color: #452963;
    text-transform: uppercase;
    font-size: 20px;
    font-weight: bold;
    position: relative;
    z-index: 2;
    background: #fff !important;
    padding: 0 20px; }

.widget.category-child div.title:after,
.widget.category-child div.title:before {
  content: '';
  position: absolute;
  display: block;
  width: 100%;
  height: 4px;
  background: #452963;
  left: 0;
  top: 8px; }

.widget.category-child div.title:after {
  left: auto;
  right: 0; }

.widget.category-child .widget-content-list .entry {
  margin-bottom: 15px;
  background: #f6f6f6; }
  .widget.category-child .widget-content-list .entry .title-b {
    padding: 20px;
    min-height: 100px; }
    .widget.category-child .widget-content-list .entry .title-b a {
      font-size: 18px;
      color: #000;
      line-height: 1.2;
      font-weight: 600;
      font-family: 'Fira Sans', sans-serif;
      text-transform: none; }

.widget.category-child .widget-content-list .entry:hover {
  background: #efefef; }
  .widget.category-child .widget-content-list .entry:hover .iplay {
    opacity: 1; }

.widget.category-child .iplay {
  font-size: 16px;
  margin-top: -60px; }

.breadcrumbs .body {
  border-bottom: 1px solid #452963;
  width: 100%; }
  .breadcrumbs .body .breadcrumb {
    margin-bottom: 0; }
    .breadcrumbs .body .breadcrumb .breadcrumb-item a {
      padding: 10px 15px;
      display: block;
      color: #4E5155;
      transition: all 0.3s ease;
      border-right: 1px solid #fff; }
    .breadcrumbs .body .breadcrumb .breadcrumb-item + .breadcrumb-item::before {
      content: none; }
    .breadcrumbs .body .breadcrumb .breadcrumb-item:last-child {
      background: #452963;
      padding: 10px 15px;
      color: #fff; }
    .breadcrumbs .body .breadcrumb .breadcrumb-item a:hover {
      background: #452963;
      color: #fff; }

.widget-category-main {
  margin-bottom: 15px; }
  .widget-category-main a.title {
    color: #000;
    font-family: 'Noto Serif', serif;
    font-size: 16px; }
  .widget-category-main .col-md-12 a.title {
    font-size: 32px;
    font-weight: 700;
    line-height: 1.2;
    margin-bottom: 25px;
    display: block; }
  .widget-category-main .entry {
    margin-bottom: 15px;
    background: #f6f6f6; }
    .widget-category-main .entry .info {
      padding: 15px 8px 19px 0; }
      .widget-category-main .entry .info .teaser {
        font-family: 'Noto Serif', serif; }
  .widget-category-main .entry:hover {
    background: #efefef; }

.content-list.basic.news_list .entry {
  margin-bottom: 15px;
  background: #f6f6f6; }
  .content-list.basic.news_list .entry .title-b {
    padding: 20px;
    min-height: 100px; }
    .content-list.basic.news_list .entry .title-b h3,
    .content-list.basic.news_list .entry .title-b a {
      font-size: 18px;
      color: #000;
      line-height: 1.2;
      font-weight: 700;
      font-family: 'Fira Sans', sans-serif;
      text-transform: none; }

.content-list.basic.news_list .entry:hover {
  background: #efefef; }
  .content-list.basic.news_list .entry:hover .iplay {
    opacity: 1; }

.widget-def {
  margin: 30px 0; }
  .widget-def div.title {
    position: relative;
    text-align: center;
    padding-bottom: 15px;
    line-height: 1; }
    .widget-def div.title a {
      color: #452963;
      text-transform: uppercase;
      font-size: 20px;
      font-weight: bold;
      position: relative;
      z-index: 2;
      background: #fff !important;
      padding: 0 20px; }
  .widget-def div.title:after,
  .widget-def div.title:before {
    content: '';
    position: absolute;
    display: block;
    width: 100%;
    height: 4px;
    background: #452963;
    left: 0;
    top: 8px; }
  .widget-def div.title:after {
    left: auto;
    right: 0; }
  .widget-def .widget-content-list .entry {
    margin-bottom: 15px;
    background: #f6f6f6; }
    .widget-def .widget-content-list .entry .title-b {
      padding: 20px;
      min-height: 100px; }
      .widget-def .widget-content-list .entry .title-b a {
        font-size: 18px;
        color: #000;
        line-height: 1.2;
        font-weight: 700;
        font-family: 'Fira Sans', sans-serif;
        text-transform: none; }
  .widget-def .widget-content-list .entry:hover {
    background: #efefef; }
    .widget-def .widget-content-list .entry:hover .iplay {
      opacity: 1; }
  .widget-def .iplay {
    font-size: 16px;
    margin-top: -60px; }

article.post .post-header h1 {
  font-family: 'Fira Sans', sans-serif;
  font-size: 38px;
  color: #000;
  font-weight: 700; }

article.post .post-content h3, article.post .post-content h2, article.post .post-content h4, article.post .post-content li, article.post .post-content p, article.post .post-content span {
  font-family: 'Noto Serif', serif !important; }

article.post .post-content h3, article.post .post-content h2, article.post .post-content h4, article.post .post-content li, article.post .post-content p, article.post .post-content span {
  color: #000; }

article.post .post-content a {
  font-family: 'Noto Serif', serif;
  color: #4c2465; }

.user-profile .profile {
  margin-top: 30px; }

.user-profile .list-static li a {
  padding: 5px 20px;
  display: block; }

.user-profile .row-profile {
  font-family: 'Noto Serif', serif; }
  .user-profile .row-profile h1 {
    font-family: 'Fira Sans', sans-serif;
    color: #000; }

.user-profile .widget .m-p .title {
  font-family: 'Fira Sans', sans-serif;
  background: #4c2465;
  color: #fff;
  padding: 10px 15px; }

.user-profile .widget ul {
  padding: 0;
  list-style: none; }
  .user-profile .widget ul a.item {
    color: #4c2465;
    border-bottom: 1px solid #4c2465;
    font-family: 'Fira Sans', sans-serif; }
  .user-profile .widget ul a.item:hover {
    color: #fff;
    background: #4c2465a1; }
  .user-profile .widget ul a.strim-n {
    border: 1px solid #4c2465;
    font-weight: 700; }

.blogs-list .entry {
  margin-bottom: 15px; }

.blogs-list .media {
  background: #f6f6f6; }

.blogs-list .media:hover {
  background: #efefef; }

.blogs-list .media-body {
  padding: 10px 10px 10px 0; }

.blogs-list .author a {
  font-family: 'Noto Serif', serif;
  color: #452963; }

.blogs-list a.title {
  font-family: 'Noto Serif', serif;
  color: #000; }

.geo-filter .nav-item a {
  border-bottom: 1px solid #fff; }

.geo-filter .nav-item a:hover {
  color: #452963;
  border-bottom: 1px solid #452963; }

.geo-filter.anons .nav-item a {
  padding: 4px;
  background: #4c246514;
  margin: 1px;
  font-size: 12px; }

.pr-list ul.list-static {
  padding: 0;
  list-style: none; }
  .pr-list ul.list-static a {
    color: #4c2465;
    border-bottom: 1px solid #4c2465;
    font-family: 'Fira Sans', sans-serif;
    padding: 10px;
    display: block; }
    .pr-list ul.list-static a .badge-pill {
      padding-right: 0;
      position: absolute;
      right: 20px; }
  .pr-list ul.list-static li.active a,
  .pr-list ul.list-static a:hover {
    color: #fff;
    background: #4c2465a1; }

.widget-last-news {
  margin: 20px 0 0 0;
  padding: 0px 0px 0px 0px;
  background: #f6f6f6; }
  .widget-last-news .title {
    font-size: 14px;
    padding: 13px 19px 13px 19px;
    border-bottom: 4px solid #dddddd;
    text-transform: uppercase;
    margin-bottom: 10px; }
  .widget-last-news .entry {
    padding: 0px 19px 0px 19px; }
    .widget-last-news .entry .title-b a {
      color: #000;
      border-bottom: 1px solid #dddddd;
      margin-bottom: 10px;
      padding-bottom: 9px;
      font-size: 14px;
      font-family: 'Fira Sans', sans-serif;
      display: block; }

.menu-items-mobile a {
  color: #fff;
  position: absolute;
  right: 0;
  margin-right: 10px;
  top: 0;
  margin-top: 12px;
  z-index: 9999; }

.menu-items-mobile-all {
  position: fixed;
  background: #71339e;
  z-index: 999;
  width: 100%;
  padding: 30px;
  margin-top: 0;
  top: 55px;
  height: 100vh; }

.share-site {
  padding: 10px 15px;
  background: #4d206f;
  color: #fff; }
  .share-site .titl {
    font-size: 14px;
    margin-bottom: 5px; }
  .share-site .titl:hover {
    cursor: pointer;
    opacity: 0.6; }
  .share-site .all-link {
    display: none; }
    .share-site .all-link a {
      color: #ffffff; }

@media (max-width: 768px) {
  .headline, .promo, .topmenu {
    display: none; }
  .header .menu-items-mobile {
    display: block; }
  .menu-items-mobile-all .m-d {
    float: inherit;
    width: 100%; }
  .menu-items-mobile-all ul {
    list-style: none; }
  .menu-items-mobile-all ul li {
    display: block;
    width: 100%; }
  .menu-items-mobile-all ul li a {
    color: #fff;
    font-size: 18px;
    text-transform: uppercase; }
  .widget-read.widget .info .teaser,
  .widget-popular.widget .info .teaser {
    display: none; }
  .widget-read.widget .info a,
  .widget-popular.widget .info a {
    font-size: 18px; }
  .widget-popular.widget div.title a {
    padding: 5px 10px;
    font-size: 12px; }
  .widget-videos .widget-content-list .entry .title a {
    font-size: 18px !important; }
  .widget-category-main .col-md-12 a.title {
    font-size: 22px; }
  .img-fluid {
    width: 100%; }
  .widget-last-news {
    margin-bottom: 15px; }
  article.post .post-header h1 {
    font-size: 28px; }
  .user-profile .row-profile h1 {
    font-size: 22px; }
  .user-profile .row-profile {
    margin-bottom: 15px; } }

/*# sourceMappingURL=data:application/json;base64,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 */